Create IP ACL

Prev Next

Available in Classic and VPC

Create an IP ACL. IP ACL is a grouping of IP bands, and you can set up an accessible IP ACL for each assignment.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /api/v1/ip-acls

Request headers

For information about the headers common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On request headers.

Request body

You can include the following data in the body of your request:

Field Type Required Description
ipAclName String Required IP ACL name
  • Enter 2-30 characters by combining English letters, numbers, and special characters "-" and "_".
  • It must start with an English letter or a number.
description String Optional IP ACL description
  • 0-300 characters
accessIps Array Required List of access target IP addresses
  • Only IP format is allowed.
tags Object Optional Policy's tag
  • Up to 20 per resource.
  • Enter in the {tagKey}:{tagValue} format.
    • tagKey: Enter up to 128 characters by combining English letters, numbers, and special characters _, ., /, =, +, -, @.
    • tagValue Enter up to 256 characters by combining English letters, numbers, and special characters _, ., /, =, +, -, @.

Request example

The request example is as follows:

curl --location --request POST 'https://sso.apigw.ntruss.com/api/v1/ip-acls' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--data '{
    "ipAclName": "ipacl000",
    "description": "ipacl000 description",
    "accessIps": [
        "***.***.***.***"
    ],
    "tags": {
        "tagKey1": "tagValue1",
        "team": "a"
    }
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
id String - IP ACL ID
nrn String - NAVER Cloud Platform resource identification value for IP ACL
success Boolean - API processing result
  • true | false
    • true: Succeeded
    • false: Failed
message String - Result message
  • Displayed if success is false

Response status codes

For information about the response status codes common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On response status codes.

Response example

The response example is as follows:

{
    "id": "5bf4cad0-****-****-****-cd51bba3fe23",
    "nrn": "nrn:PUB:SSO::*******:IPACL/5bf4cad0-****-****-****-cd51bba3fe23",
    "success": true
}